blockreq_listEndpoints

Description

Returns all endpoints associated with your account, including API keys, URLs, usage statistics, and status.

Parameters

None

Returns

FieldTypeDescription
totalintegerTotal number of endpoints
endpointsarrayList of endpoints
endpoints[].endpointIdstringUnique endpoint identifier
endpoints[].namestringEndpoint name
endpoints[].chainstringNetwork slug (e.g., ethereum)
endpoints[].statusstringactive or inactive
endpoints[].apiKeystringAPI key for this endpoint
endpoints[].httpsUrlstringHTTPS endpoint URL
endpoints[].wssUrlstringWebSocket endpoint URL
endpoints[].requestCountintegerTotal requests made
endpoints[].ruConsumedintegerLegacy adapter field containing total Requests used
endpoints[].createdAtintegerUnix timestamp of creation

Request Example

{ "jsonrpc": "2.0", "method": "blockreq_listEndpoints", "params": [], "id": 1 }

Response Example

{ "jsonrpc": "2.0", "id": 1, "result": { "total": 2, "endpoints": [ { "endpointId": "abc-123", "name": "ethereum-endpoint-abc", "chain": "ethereum", "status": "active", "apiKey": "a1b2c3d4e5f6...", "httpsUrl": "https://ethereum-rpc.blockreq.com/v1/rpc/a1b2c3d4e5f6...", "wssUrl": "wss://ethereum-rpc.blockreq.com/v1/rpc/a1b2c3d4e5f6...", "requestCount": 15000, "ruConsumed": 450000, "createdAt": 1708300800 } ] } }

Code Examples

curl -X POST https://ethereum-rpc.blockreq.com/v1/rpc/BRQ1P0000000000000000000000000000000000000000000000000000 \ -H "Content-Type: application/json" \ -d '{"jsonrpc":"2.0","method":"blockreq_listEndpoints","params":[],"id":1}'

Try It